Package ru.bitel.bgbilling.modules.inet.server.task

# Class InetRecalculator

java.lang.Object
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.modules.inet.server.task.InetRecalculator

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Runnable`

    public class InetRecalculator
    extends RunTask

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `email` |
  `protected int` | `moduleId` |
  `protected java.util.Date` | `month` |

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `log, setup`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InetRecalculator​(java.util.Date month, java.lang.Integer day, int moduleId, java.lang.String email, java.util.Set<java.lang.Integer> cids, java.lang.String comment, boolean calculateOnlyLogSessions)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `calculateBeforeCurrentDay​(java.util.List<java.lang.Integer> appIds, int currentDay)` |
  `protected void` | `calculateCurrentDay​(java.util.List<java.lang.Integer> appIds, int currentDay)` |
  `protected void` | `calulatePastMonth​(java.util.List<java.lang.Integer> appIds)` |
  `protected void` | `executeTask()` |
  `java.lang.String` | `getDescription()` |
  `void` | `init​(Setup setup)` |
  `protected void` | `startCalculation​(java.util.List<java.lang.Integer> appIds)` |
  `protected void` | `stopCalculation​(java.util.List<java.lang.Integer> appIds)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### moduleId

    protected int moduleId

  - ### month

    protected java.util.Date month

  - ### email

    protected java.lang.String email

- ## Constructor Details

  - ### InetRecalculator

    public InetRecalculator​(java.util.Date month, java.lang.Integer day, int moduleId, java.lang.String email, java.util.Set<java.lang.Integer> cids, java.lang.String comment, boolean calculateOnlyLogSessions)

- ## Method Details

  - ### getDescription

    public java.lang.String getDescription()
    Specified by:
      `getDescription` in class `RunTask`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `RunTask`

  - ### calulatePastMonth

    protected void calulatePastMonth​(java.util.List<java.lang.Integer> appIds) throws java.lang.InterruptedException, java.util.concurrent.ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.lang.InterruptedException`
      `java.util.concurrent.ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### calculateCurrentDay

    protected void calculateCurrentDay​(java.util.List<java.lang.Integer> appIds, int currentDay) throws java.lang.InterruptedException, java.util.concurrent.ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.lang.InterruptedException`
      `java.util.concurrent.ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### stopCalculation

    protected void stopCalculation​(java.util.List<java.lang.Integer> appIds) throws java.lang.InterruptedException, java.util.concurrent.ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.lang.InterruptedException`
      `java.util.concurrent.ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### startCalculation

    protected void startCalculation​(java.util.List<java.lang.Integer> appIds) throws java.lang.InterruptedException, java.util.concurrent.ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.lang.InterruptedException`
      `java.util.concurrent.ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### calculateBeforeCurrentDay

    protected void calculateBeforeCurrentDay​(java.util.List<java.lang.Integer> appIds, int currentDay) throws java.lang.InterruptedException, java.util.concurrent.ExecutionException, ru.bitel.bgbilling.common.BGException
    Throws:
      `java.lang.InterruptedException`
      `java.util.concurrent.ExecutionException`
      `ru.bitel.bgbilling.common.BGException`

  - ### init

    public void init​(Setup setup)
    Overrides:
      `init` in class `RunTask`